<bugID>620290<Summary>Switch to Tab does not unregister open pages when entering Private Browsing mode</Summary><Description>User-Agent:       Mozilla/5.0 (Windows NT 6.0; rv:2.0b9pre) Gecko/20101219 Firefox/4.0b9pre
Build Identifier: Mozilla/5.0 (Windows NT 6.0; rv:2.0b9pre) Gecko/20101219 Firefox/4.0b9pre

After switching to private browsing mode, Firefox offers to switch to tabs that were only open in non-PB mode.
Furthermore when back in non-PB mode, Firefox will still offer switch-to-tab results for tabs that you closed then.

Reproducible: Always

Steps to Reproduce:
1. open some websites
2. switch to PB mode
3. type part of URL / title of tabs that where open in non-PB into location bar
---
4. switch back to non-PB mode
5. close a tab, again type part of URL of that tab into location bar
Actual Results:  
at 3.: switch-to-tab result for tab that was only open in non-PB mode will be displayed
at 5.: switch-to-tab result will be displayed for closed tab
Both results are not functional of course

Expected Results:  
None of those switch-to-tab results should be displayed.</Description></bugID>